Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.sg
Class VideoDigitizer

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.sg.VideoDigitizer

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class VideoDigitizer
extends Component
implements quicktime.jdirect.QuickTimeLib

The video digitizing channel. The VideoDigitizer implements methods for a corresponding QuickTime ComponentInstance structure. refer to VideoDigitizer component in QuickTime

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`VideoDigitizer()` Opens the specified video component,'vidg', with any subType.
`VideoDigitizer(int subType)` Opens the specified video component,'vidg', with the given subType.

Method Summary
`void` | `clearClipRgn(Region clipRegion)` Allows you to disable all or part of a clipping region that was previously set.
`boolean` | `getClipState()` Allows your application to determine if clipping is enabled or not.
`DigitizerInfo` | `getDigitizerInfo()` Allows your application to determine the capability and status information about a specified video digitizer component.
`int` | `getInput()` Returns the index that identifies the currently active input video source.
`int` | `getNumberOfInputs()` Returns the number of input sources that a video digitizer component supports.
`void` | `setClipRgn(Region clipRegion)` Allows you to define a clipping region.
`void` | `setClipState(boolean clipEnable)` Allows your application to control whether clipping is enabled or disabled.
`void` | `setInput(int input)` Allows applications to select an input video source for a video digitizer component.

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VideoDigitizer

    public VideoDigitizer()
                   throws QTException

  Opens the specified video component,'vidg', with any subType. SGPanels should not be accessable by the public.
  QuickTime::OpenADefaultComponent

  ### VideoDigitizer

      public VideoDigitizer(int subType)
                     throws QTException

    Opens the specified video component,'vidg', with the given subType. SGPanels should not be accessable by the public.
    QuickTime::OpenADefaultComponent
  Parameters:
    `subType` - The video component sub type

Method Detail

### getNumberOfInputs

    public int getNumberOfInputs()
                          throws StdQTException

  Returns the number of input sources that a video digitizer component supports.
  QuickTime::VDGetNumberOfInputs

  Returns:
    the number of inputs

### setInput

    public void setInput(int input)
                  throws StdQTException

  Allows applications to select an input video source for a video digitizer component. This is a 0 based index.
  QuickTime::VDSetInput

  Parameters:
    `input` - the input video source.

### getInput

    public int getInput()
                 throws StdQTException

  Returns the index that identifies the currently active input video source.
  QuickTime::VDGetInput

  Returns:
    the index for the current input device

### setClipRgn

    public void setClipRgn(Region clipRegion)
                    throws StdQTException

  Allows you to define a clipping region.
  QuickTime::VDSetClipRgn

  Parameters:
    `clipRegion` - specifies the clip region

### clearClipRgn

    public void clearClipRgn(Region clipRegion)
                      throws StdQTException

  Allows you to disable all or part of a clipping region that was previously set.
  QuickTime::VDClearClipRgn

  Parameters:
    `clipRegion` - specifies the clipping region to clear. This must correspond to all or part of a previously set clip region.

### setClipState

    public void setClipState(boolean clipEnable)
                      throws StdQTException

  Allows your application to control whether clipping is enabled or disabled.
  QuickTime::VDSetClipState

  Parameters:
    `clipEnable` - if true clipping is enabled, otherwise it is disabled.

### getClipState

    public boolean getClipState()
                         throws StdQTException

  Allows your application to determine if clipping is enabled or not.
  QuickTime::VDGetClipState

  Returns:
    if true clipping is enabled otherwise it isn't.

### getDigitizerInfo

    public DigitizerInfo getDigitizerInfo()
                                   throws StdQTException

  Allows your application to determine the capability and status information about a specified video digitizer component.
  QuickTime::VDGetDigitizerInfo

  Returns:
    if true clipping is enabled otherwise it isn't.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD